var mapId = "map1";
var map;
var formId;
var serverUrl;

/**
 * Initialize JS objects
 */
function init() {
  //add function to handle bookmark-details tag in postback response
  adf.Controls.addPostBackTagHandler("bookmark-details", updateBookmarkDetails);
  //initialize variables
  map = adf.Controls.maps[mapId];
  formId = map.formId;
  serverUrl = adf.Utils.getServerUrl(formId);
  list();
}

function list() {
  //get list of bookmarks
  var params = "bookmarks=bookmarks&method=list&formId=" + formId + "&mapId=" + map.id + "&" + adf.Utils.buildRequestParams(formId);
  var xmlHttp = adf.Utils.sendAjaxRequest(serverUrl, params, true, updateList);
}

function updateList(xmlHttp) {
  //update list of bookmarks
  if (xmlHttp != null && xmlHttp.readyState == 4 && xmlHttp.status == 200) {
    var xml = xmlHttp.responseXML;

    //get bookmark list and clear up current list
    var bookmarkNodeList = xml.getElementsByTagName("bookmark");
    var cmb = document.getElementById("listSel");
    cmb.innerHTML = "";

    //iterate and bookmarks to drop down
    for (var i=0;i<bookmarkNodeList.length;i++) {
      var bookmarkNode = bookmarkNodeList.item(i);
      var option = cmb.appendChild(document.createElement("option"));
      option.value = bookmarkNode.getAttribute("id");
      option.appendChild(document.createTextNode(bookmarkNode.firstChild.nodeValue));
    }
  }
}

function view(id) {
  //view a boookmark
  map.showLoading();
  var params = "bookmarks=bookmarks&method=view&formId=" + formId + "&mapId=" + mapId + "&id=" + encodeURIComponent(id) + "&" + adf.Utils.buildRequestParams(formId);
  var xmlHttp = adf.Utils.sendAjaxRequest(serverUrl, params, true, adf.Controls.processPostBack);
}

function updateBookmarkDetails(xml, eventSources) {
  //update bookmark's label & description
  document.getElementById("details-label").value = xml.getElementsByTagName("label").item(0).firstChild.nodeValue;
  document.getElementById("details-desc").value = xml.getElementsByTagName("desc").item(0).firstChild.nodeValue;
}

function add(label, desc) {
  //add bookmark
  var params = "bookmarks=bookmarks&method=add&formId=" + formId + "&mapId=" + mapId + "&label=" + encodeURIComponent(label) + "&desc=" + encodeURIComponent(desc) + "&" + adf.Utils.buildRequestParams(formId);
  var xmlHttp = adf.Utils.sendAjaxRequest(serverUrl, params, true, updateList);
}

function remove(id) {
  //remove bookmark
  var params = "bookmarks=bookmarks&method=remove&formId=" + formId + "&mapId=" + mapId + "&id=" + encodeURIComponent(id) + "&" + adf.Utils.buildRequestParams(formId);
  var xmlHttp = adf.Utils.sendAjaxRequest(serverUrl, params, true, updateList);
}

function update(id, label, desc) {
  //update bookmark
  var params = "bookmarks=bookmarks&method=update&formId=" + formId + "&mapId=" + mapId + "&id=" + encodeURIComponent(id) + "&label=" + encodeURIComponent(label) + "&desc=" + encodeURIComponent(desc) + "&" + adf.Utils.buildRequestParams(formId);
  var xmlHttp = adf.Utils.sendAjaxRequest(serverUrl, params, true, updateList);
}