<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" import="java.util.Locale" %>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Bookmarks</title>
    <script type="text/javascript" language="Javascript" src="js/bookmarks.js"></script>
    <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
  </head>
  <body onload="init()">
    <f:view>
      <a:context value="#{mapContext}" />
      <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
      <script type="text/javascript">
        adfdojo.require("adf.adf");
        adfdojo.requireLocalization("resource","adf");
      </script>
      <h:form id="f">
        <!-- Task to allow zooming/panning in the map control -->
        <div id="toolbararea" style="top:5px; right:5px;">
        <a:task id="mapToolsTask"
	                    value="#{mapContext.attributes.webappMapToolsTask}"
	                    taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}"
	                    mapId="map1" windowingSupport="false"
                            style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
        </div>
        <!-- Map control -->
        <a:map id="map1" value="#{mapContext.webMap}" width="400" height="400" />
        <br />

        <div id="list">
          <!-- Select box to list available bookmarks -->
          View Bookmark : <select id="listSel" onchange="view(adf.Utils.getEventSource(event).value)"></select><br />
          <br />
          Info :<br />
          <!-- Display bookmark's label -->
          Label : <input id="details-label" size="40"><br />
          <!-- Display bookmark's description -->
          Description : <textarea id="details-desc" rows="5" cols="80"></textarea><br />
          <br />
          <!-- If bookmark is editable, display buttons to edit bookmarks in the application -->
          <div style="display:<h:outputText value="#{mapContext.attributes['bookmarks'].editable ? 'block' : 'none'}" />">
            <input type="button" value="Add" onclick="add(document.getElementById('details-label').value, document.getElementById('details-desc').value)" />
            <input type="button" value="Remove" onclick="remove(document.getElementById('listSel').value);" />
            <input type="button" value="Update" onclick="update(document.getElementById('listSel').value, document.getElementById('details-label').value, document.getElementById('details-desc').value);" />
          </div>
        </div>

      </h:form>
    </f:view>
  </body>
</html>